GET
/
api
/
v1
/
wallets
/
{wallet_id}
/
balance
curl --request GET \
  --url https://hpay-api.host-sl.com/api/v1/wallets/wall_123/balance \
  --header 'api-key: YOUR_API_KEY' \
  --header 'secret-key: YOUR_SECRET_KEY'
{
  "wallet_id": "wall_123",
  "balance": 150.50,
  "currency": "SLE"
}

Endpoint

GET /api/v1/wallets/{wallet_id}/balance

Path Parameters

wallet_id
string
required
The unique identifier of the wallet to get the balance for.

Headers

api-key
string
required
Your application API key
secret-key
string
required
Your application secret key

Response

wallet_id
string
The unique identifier of the wallet.
balance
number
The current balance of the wallet.
currency
string
The currency of the wallet balance.
curl --request GET \
  --url https://hpay-api.host-sl.com/api/v1/wallets/wall_123/balance \
  --header 'api-key: YOUR_API_KEY' \
  --header 'secret-key: YOUR_SECRET_KEY'
{
  "wallet_id": "wall_123",
  "balance": 150.50,
  "currency": "SLE"
}